# Uses of Interface
org.codehaus.janino.Java.LambdaParameters

Packages that use Java.LambdaParameters
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Java.LambdaParameters in org.codehaus.janino

Classes in org.codehaus.janino that implement Java.LambdaParameters
Modifier and Type
Class
Description
`static class`
`Java.FormalLambdaParameters`
Representation of "lamba parameters" that include a formal parameter list; see JLS9 15.27.1.
`static class`
`Java.IdentifierLambdaParameters`
Representation of "lamba parameters" that consist of a single identifier; see JLS9 15.27.1
`static class`
`Java.InferredLambdaParameters`
Representation of "lamba parameters" that include an inferred formal parameter list; see JLS9 15.27.1.
Fields in org.codehaus.janino declared as Java.LambdaParameters
Modifier and Type
Field
Description
`final Java.LambdaParameters`
Java.LambdaExpression.`parameters`
The parameters of this lambda expression; see JLS9 15.27.1.
Methods in org.codehaus.janino with parameters of type Java.LambdaParameters
Modifier and Type
Method
Description
`void`
Unparser.`unparseLambdaParameters(Java.LambdaParameters lp)`
Constructors in org.codehaus.janino with parameters of type Java.LambdaParameters
Modifier
Constructor
Description
``
`LambdaExpression(Location location, Java.LambdaParameters parameters, Java.LambdaBody body)`